# -*- coding: utf-8 -*-
"""
Created on Fri Sep 10 14:50:43 2021

@author: Erlend Tøssebro
"""

import turtle
import math


def tegn_sekskant(storrelse):
    for i in range(6):
        turtle.forward(storrelse)
        turtle.right(60)    


def tegn_flere_sekskanter(antall, storrelse):
    for a in range(antall):
        tegn_sekskant(storrelse)
        turtle.right(90)
        turtle.penup()
        turtle.forward(2*storrelse*math.sin(math.radians(60)))
        turtle.pendown()
        turtle.left(90)
    

if __name__ == "__main__":
    turtle.setup(600,600,500,500)
    antall = int(input("Antall sekskanter: "))
    tegn_flere_sekskanter(antall, 50)
    turtle.done()

